Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class Page

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.jsp.Page

Direct Known Subclasses:
  JavaPage

public abstract class Page
extends GenericServlet
implements CauchoPage

Represents a compiled JSP page.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `alwaysModified`
`protected java.lang.String` | `contentType`
`protected long` | `updateInterval`

Constructor Summary
`Page()`

Method Summary
`protected void` | `_caucho_addCacheDepend(Path path, long lastModified)`
`protected void` | `_caucho_addDepend(Path path)`
`protected void` | `_caucho_addDepend(Path path, long lastModified)`
`com.caucho.java.LineMap` | `_caucho_getLineMap()`
`void` | `_caucho_init(HttpServletRequest req, HttpServletResponse res)`
`boolean` | `_caucho_isModified()`
`long` | `_caucho_lastModified()`
`protected void` | `_caucho_setAlwaysModified()`
`protected void` | `_caucho_setCacheable()`
`protected void` | `_caucho_setContentType(java.lang.String contentType, java.lang.String encoding)`
`long` | `getLastModified(HttpServletRequest request)`
`void` | `init(ServletConfig config, com.caucho.java.LineMap lineMap, Path path)`
`void` | `service(com.caucho.server.http.CauchoRequest req, com.caucho.server.http.CauchoResponse res, java.util.HashMap properties)` The extended service method creates JavaScript global variables from a property map.
`void` | `service(ServletRequest request, ServletResponse response)` Implements the standard Servlet API.
`protected abstract void` | `subservice(com.caucho.server.http.CauchoRequest req, com.caucho.server.http.CauchoResponse res, java.util.HashMap properties)`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentType

    protected java.lang.String contentType

### alwaysModified

    protected boolean alwaysModified

### updateInterval

    protected long updateInterval

Constructor Detail

### Page

    public Page()

Method Detail

### init

    public void init(ServletConfig config,
                     com.caucho.java.LineMap lineMap,
                     Path path)
              throws ServletException

  Specified by:
    init in interface CauchoPage

### _caucho_setContentType

    protected void _caucho_setContentType(java.lang.String contentType,
                                          java.lang.String encoding)

### _caucho_setAlwaysModified

    protected void _caucho_setAlwaysModified()

### _caucho_addDepend

    protected void _caucho_addDepend(Path path)

### _caucho_addDepend

    protected void _caucho_addDepend(Path path,
                                     long lastModified)

### _caucho_setCacheable

    protected void _caucho_setCacheable()

### _caucho_addCacheDepend

    protected void _caucho_addCacheDepend(Path path,
                                          long lastModified)

### _caucho_isModified

    public boolean _caucho_isModified()

  Specified by:
    _caucho_isModified in interface CauchoPage

### _caucho_init

    public void _caucho_init(HttpServletRequest req,
                             HttpServletResponse res)

  Specified by:
    _caucho_init in interface CauchoPage

### getLastModified

    public long getLastModified(HttpServletRequest request)

### _caucho_lastModified

    public long _caucho_lastModified()

  Specified by:
    _caucho_lastModified in interface CauchoPage

### service

    public void service(ServletRequest request,
                        ServletResponse response)
                 throws java.io.IOException,
                        ServletException

  Implements the standard Servlet API.
  Tags copied from interface: Servlet
  Parameters:
    `req` - request information. Normally servlets will cast this to `HttpServletRequest`
    `res` - response information. Normally servlets will cast this to `HttpServletRequest`

### service

    public void service(com.caucho.server.http.CauchoRequest req,
                        com.caucho.server.http.CauchoResponse res,
                        java.util.HashMap properties)
                 throws java.io.IOException,
                        ServletException

  The extended service method creates JavaScript global variables from a property map.

  This method only makes sense for JavaScript templates. To pass variables to Java templates, use the setAttribute() method of the request.

  Parameters:
    `properties` - hashmap of objects to create as JavaScript globals.

### _caucho_getLineMap

    public com.caucho.java.LineMap _caucho_getLineMap()

  Specified by:
    _caucho_getLineMap in interface CauchoPage

### subservice

    protected abstract void subservice(com.caucho.server.http.CauchoRequest req,
                                       com.caucho.server.http.CauchoResponse res,
                                       java.util.HashMap properties)
                                throws java.io.IOException,
                                       ServletException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD